curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/terms/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"term": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}To get a specific Term on the service provider.
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/terms/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"term": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the term
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response with the term
Represents an academic session.
Show child attributes